%define upstream_name    Dist-Zilla-Plugin-GitHub
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Update GitHub repo info on release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::Dist::Minter)
BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Socket::SSL) >= 1.560.0
BuildRequires: perl(JSON)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moose)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(feature)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The following is a list of Plugin in this distribution to help you
integrate GitHub and Dist::Zilla:

* * the Dist::Zilla::Plugin::GitHub::Create manpage Create GitHub repo on
  dzil new

* * the Dist::Zilla::Plugin::GitHub::Update manpage Update GitHub repo info
  on release

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 366203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.290.0-1.mga3
+ Revision: 342081
- update to 0.29

* Fri Aug 31 2012 kharec <kharec> 0.270.0-1.mga3
+ Revision: 286094
- update to 0.27

* Thu Jul 12 2012 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 270272
- update to 0.25

* Mon Jun 18 2012 kharec <kharec> 0.230.0-1.mga3
+ Revision: 261543
- update to 0.23

* Sat Jun 09 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 258837
- update to 0.21

* Tue Jun 05 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 254869
- update to 0.19

* Wed Jan 04 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 190296
- update to 0.14
- update to 0.13
- update to 0.12

* Wed Jun 15 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 106843
- update to 0.10

* Mon Mar 14 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 71225
- imported package perl-Dist-Zilla-Plugin-GitHub

